db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel John Debrunner (JIRA)" <derby-...@db.apache.org>
Subject [jira] Commented: (DERBY-73) Ability to compile under JDK1.5
Date Fri, 17 Dec 2004 06:22:17 GMT
     [ http://nagoya.apache.org/jira/browse/DERBY-73?page=comments#action_56807 ]
     
Daniel John Debrunner commented on DERBY-73:
--------------------------------------------

Applied the part of the patch that fixed the enum name use.

Had trouble applying all the portions of the patch related to the build.xml files. Managed
to patch most of the build.xml files, but then my build seemed to fail because, derby.compile.source
and derby.compile.target were not set. Might need to ensure these are set by default otherwise
applying this patch will break everyone's build. Maybe I just missed something obvious?


Sending        java\engine\org\apache\derby\iapi\store\access\RowUtil.java
Sending        java\engine\org\apache\derby\impl\sql\catalog\DataDictionaryImpl.java
Sending        java\engine\org\apache\derby\impl\sql\compile\FromBaseTable.java
Sending        java\engine\org\apache\derby\impl\sql\compile\FromList.java
Sending        java\engine\org\apache\derby\impl\sql\compile\FromTable.java
Sending        java\engine\org\apache\derby\impl\sql\depend\BasicDependencyManager.java
Sending        java\engine\org\apache\derby\impl\sql\execute\InternalTriggerExecutionContext.java
Sending        java\engine\org\apache\derby\impl\sql\execute\rts\RealBasicNoPutResultSetStatistics.java
Sending        java\engine\org\apache\derby\jdbc\EmbedPooledConnection.java
Sending        java\tools\org\apache\derby\impl\tools\ij\AttributeHolder.java
Sending        java\tools\org\apache\derby\impl\tools\ij\ConnectionEnv.java
Sending        java\tools\org\apache\derby\tools\URLCheck.java
Transmitting file data ............
Committed revision 122617.

> Ability to compile under JDK1.5
> -------------------------------
>
>          Key: DERBY-73
>          URL: http://nagoya.apache.org/jira/browse/DERBY-73
>      Project: Derby
>         Type: Improvement
>   Components: Build tools
>     Reporter: Jeremy Boynes
>  Attachments: derby_jdk15_build.patch
>
> Compilation fails when using JDK1.5 due to
> 1) no specification of language level
> 2) use of "enum" as identifier
> The language issue results in the use of the new StringBuilder class for string concatenation
resulting in code that will not run on earlier JVMs.
> Dropping the langauge level will allow it to compile but warnings are generated due to
the use of "enum" as an identifier; with 1.5 this becomes a reserved word

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://nagoya.apache.org/jira/secure/Administrators.jspa
-
If you want more information on JIRA, or have a bug to report see:
   http://www.atlassian.com/software/jira


Mime
View raw message